% Assuming that there exist a file for the given day, find the bounds
% Velg  se p en dag som det finnes ei fil for etter kjring i Solstorm.
    day = {'13-Apr-2014'};    
    dayToSave               = datestr(day);
    basicName               = 'Bounds';
    filnavn                 = [basicName '_' dayToSave];
%% Ligger inne som .mat
 %   boundMatrix            = load(filnavn); % 
%% Laste inn fra rar-fil
    boundMatrix             = readFromFile(filnavn); % leng vektor: frste halvpart er LB, resten er UB
        
% Get matrix with bounds
% load file     
    LBvec                   = boundMatrix(1:length(boundMatrix)/2);
    UBvec                   = boundMatrix(length(boundMatrix)/2+1:end);  
    avgLB                   = mean(LBvec);
    avgUB                   = mean(UBvec);
    
% Sjekk om normalfordeling er god fit vha. qq plot:
    figure;
    qqplot(LBvec);
    figure;
    qqplot(UBvec);
        
% Bestemme hva confidence interval er gitt normalfordeling
    pdLB                    = fitdist(LBvec,'Normal');
    pdUB                    = fitdist(UBvec,'Normal');
    confIntLB               = paramci(pdLB); % conf int
    confIntUB               = paramci(pdUB);

% Find avg bound

