% For the chosen P matrix case, this script transformes states back to
% prices, and and reverses all transformation processes of the data:
% Set to mean value of state
% Reverse PIT
% Detrend
% Denormalize
% CASE: In sample years: 2013-2016, Sales, path dependency 1, number of
% price levels: 5
function priceMatrix            = stateMatrixToPrices(stateMatrixConvertedOneStep,dateNumber,SRMC_vec)
% Format:
%combinationPrices,{[2018,3,20,12,00,00]},30
% Datoer for testdata (input til funk.)   
   % dateStr{1,1}   = datenum(datestr(datetime(dateStr{1,1})),'dd-mmm-yyyy HH:MM:SS'); 
    originModelTime             = datenum(2013,1,1,0,0,0); % * ones(1,length(dateVecStr));
    daysFromFirstOfJan13        = dateNumber - originModelTime; % dateNumber{1,1} - originModelTime
    blocksFromFirstOfJan13       = daysFromFirstOfJan13*4; %*24
% Number between 0-1
% Back transform the inverse probability integral:
    %load('pdKernelSale1316_5_Vec_Master.mat');%switch
    load('pdKernelAvg_1316_Master.mat');%switch
    pdSaleGet                   = pdAvg;       
% Middelverdiene: 
     priceModified              = stateMatrixConvertedOneStep;
% Ved endring     
    % CDFen                      = cdf(pdSaleGet,priceModified); % ok  gjre p full matrise?
     price_NormTrend            = icdf(pdSaleGet,priceModified);   
% Add trend back to the price: 
    load('infoStruct_Master.mat');
    trendInfo = infoStruct;
    regressionSlope             = trendInfo.RegressionSlope; %-1.097082972311789e-05; %switch
    regressionConstLedd         = trendInfo.RegressionConstLedd; %1.353899184265314;%switch
    price_Norm                  = price_NormTrend + regressionSlope * blocksFromFirstOfJan13 + regressionConstLedd;
% De-normalize data:
    priceMatrix                 = price_Norm.*SRMC_vec;     
end 
